<?php
session_start();
require("conexion.php");
if(isset($_SESSION['nom_admin'])==false){
    header('Location: index.php');
}else{
$nom = $_SESSION['nom_admin'];
$iduser = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
$tipou= $_SESSION['tipouser'];
if($suc == 1){
    $pre = 'CUL-';
    $not = 'NV';
    $sucn = 'SUCURSAL CULIACAN';
}else if ($suc == 2){
    $pre = 'MAZ-';
    $not = 'NV';
    $sucn = 'SUCURSAL MAZATLAN';
}else if($suc == 3){
    $pre = 'HER-';
    $not = 'NV';
    $sucn = 'SUCURSAL HERMOSILLO';
}
}
?>
<html>
    <head>
        
        <title>Reportes</title>
        <link type="text/css" rel="stylesheet" href="./css/bootstrap.min.css"  media="screen,projection"/>
        <link rel="stylesheet" type="text/css" href="./css/prueba.css">

       

    </head>
    <body >
<?php 

include('menu.php'); ?>

<section>
    <br>
    <br>
    <br>
    <br>
    <h1 align="center">CONCENTRADO DE REPORTES</h1>
    <div id="section" align="center">
    <table border="0" class="table  table-condensed" style="max-width:960px;">
        <tr>
            <td colspan="7" align="center"><select id="sucbus" onchange="buscarsuc()"  ?>>
            <option value="1" selected>CULIACAN</option>
            <option value="2" >MAZATLAN</option>
            <option value="3" >HERMOSILLO</option>
        </select></td>
        </tr>
        
        
        <tr>
            
            <td colspan="5" "><select id="busqueda">
                <option value="-1" selected>Selecciona una opcion de busqueda</option>

                <option value="3">Molduras</option>
                <option value="1">Cristales</option>
                <option value="2">Respaldos</option>
                <option value="4">Reporte Isaias</option><!-- 
                <?php if($iduser == 2 || $iduser == 14){ ?><option value="6">Perdidas</option> <?php } ?>
                <?php if($iduser == 2 || $iduser == 14){ ?><option value="9">Por vendedor</option> <?php } ?> -->
                <!--
                <option value="5">Por Semana</option>
                
                <option value="6">Revisadas por semana</option>
                <option value="7">No revisadas por semana</option>
                <option value="9">Pendientes de pago</option>
                <option value="10">Pagadas en efectivo</option>
                <option value="11">Pagadas por transferencia</option>
                <option value="12">Pagadas por semana</option>
                <option value="3">Mostrar todo</option>-->
            </select></td>
            <td><a href="reportes.php">Limpiar busqueda</a></td>
        </tr>
        <tr>
            <td colspan="7"><br></td>
        </tr>
        <tr class="molduras">
                <td colspan="3"></br></td>
                <!-- <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelmold()" value="EXCEL"></td> -->
                <td><input type="button" name="pdfs" class="btn btn-danger" id="pdfmold" value="PDF"></td>
            
        </tr>
        <tr class="cristal">
                <td colspan="3"></br></td>
                <!-- <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelmold()" value="EXCEL"></td> -->
                <td><input type="button" name="pdfs" class="btn btn-danger" id="pdfcris" value="PDF"></td>
        </tr>
        <tr class="respaldo">
                <td colspan="3"></br></td>
                <!-- <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelmold()" value="EXCEL"></td> -->
                <td><input type="button" name="pdfs" class="btn btn-danger" id="pdfresp" value="PDF"></td>
            
        </tr>
        <tr class="isaias">
                
                <td colspan="2" width="600"><select id="edopedisa" >
                        <option value="-1" selected>Selecciona el estado del pedido</option>
                        <option value="0" >Pedido capturado</option>
                        <option value="1">En proceso TALLER</option>
                        <option value="3" >En transito</option>
                        <option value="4" >En sucursal destino</option>
                        <option value="5" >Listo para entrega</option>
                        <option value="7" >Pagado pend. produccion</option>
                        <option value="6" >Entregado</option>
                        <option value="7" >TODAS</option>
                    </select></td>
                    <td><input type="date" id="fechaisa" class="datepicker"/></td>
                    <td><input type="button" name="pdfs" class="btn btn-danger" id="pdfisa" value="PDF"></td>
                <!-- <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelmold()" value="EXCEL"></td> -->
                <br>
            <td colspan="1"width="200"><button id="busqisa">Buscar</button></td>
            
        </tr>
        
<!-- FIN PAGADOS -->
        <tr id="mostrartodo">
            <td colspan="5"><br></td>
        </tr>

    </table>
    <div class="registros" id="agrega-registros"></div>
</section>
</div>
        <div id="footer" align="center">
            <p>Cuadropolis</p>
        </div>

    <div class="modal fade" id="modalAsistencia" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
              <h4 class="modal-title" id="myModalLabel"><b>Pagos</b></h4>
            </div>
            <div class="modal-body">
            <fieldset><legend>1. Pago</legend>
                <table class="tbl-registro" width="100%">
                    <tr>
                        
                        <td>Codigo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="codPago" disabled="disabled"  value="<?php echo $numa; ?>"/></td>
                        <td>Total: </td>
                        <td colspan="2"><input type="text" class="form-control" id="totalPago" disabled="disabled"  value="<?php echo $tpag; ?>"/></td>
                    </tr>
                    <tr>
                        
                        <td colspan="6"><select id="metodopago" width="100%">
                                    <option value="0" selected>Selecciona un metodo de pago</option>
                                    <option value="1">Efectivo</option>
                                    <option value="2">Depositos</option>
                                    <option value="3">Tarjeta bancaria</option>

                </select></td>
                    </tr>
                    <tr>
                        
                        <td>Anticipo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="antPago"   value="0"/></td>
                        <td>Saldo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="saldoPago" disabled="disabled"  value="<?php echo $salpag; ?>"/></td>
                    </tr>

                    

                </table>
                </fieldset>
                <div class="modal-footer">
                    <input type="button"  class="btn btn-default" id="calcpend"  value="Calcular"/>

                    <input type="button"  class="btn btn-default" id="GuardPag"  value="Guardar"/>
                </div>
                <div id="mensaje"></div>
                
                
            </div>
          </div>
        </div>
      </div>

    </body>
    <script src="js/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>
    <script src="../bootstrap/js/bootstrap.js"></script>
    <script type="text/javascript" src="js/script.js"></script>
    <script type="text/javascript">
$(document).ready(function() {

    $( "#menu" ).menu();
    $('.molduras').hide();
    $('.cristal').hide();
    $('.respaldo').hide();
    $('.isaias').hide();
    


    $('#busqueda').on('change', function(){
        var opc = $('#busqueda').val();
        var sucbus = $('#sucbus').val();
        if(opc == 1){
            
            $('.molduras').hide();
            $('.cristal').show();
            $('.respaldo').hide();
            $('.isaias').hide();
            var url = './busq_prod_cristal.php';
            $.ajax({
                type:'POST',
                url:url,
                data: 'sucbus='+sucbus,
                success: function(datos){
                    $('#agrega-registros').html(datos);
                }
            });
            
        }else if(opc == 2){
            
            $('.molduras').hide();
            $('.cristal').hide();
            $('.isaias').hide();
            $('.respaldo').show();
            var url = './busq_prod_resp.php';
            $.ajax({
                type:'POST',
                url:url,
                data: 'sucbus='+sucbus,
                success: function(datos){
                    $('#agrega-registros').html(datos);
                }
            });
        }else if(opc == 3){
            $('.molduras').show();
            $('.cristal').hide();
            $('.isaias').hide();
            $('.respaldo').hide();
            var url = './busq_prod_molduras.php';
            $.ajax({
                type:'POST',
                url:url,
                data: 'sucbus='+sucbus,
                success: function(datos){
                    $('#agrega-registros').html(datos);
                }
            });
        }else if(opc == 4){
            $('.isaias').show();
            $('.cristal').hide();
            $('.molduras').hide();
            $('.respaldo').hide();
        }


    });

    $('#busqisa').on('click', function(){

        var sucbus = $('#sucbus').val();
        var edoped = $('#edopedisa').val();
        var fechaisa = $('#fechaisa').val();
        var url = './busq_prod_isaias.php';
            $.ajax({
                type:'POST',
                url:url,
                data: 'sucbus='+sucbus+'&edoped='+edoped+'&fecha='+fechaisa,
                success: function(datos){
                    $('#agrega-registros').html(datos);
                }
            });
    });
                    
    });
    function pagoeditar(id){
        
        $.ajax({
            type:'POST',
            url:'./pagobuscar.php',
            data:'id='+id,
            success: function(datos){
                if(datos != ""){
                var separar = datos.split("|");
                var total = separar[0];
                var anti = separar[1];
                var saldo = separar[2];
                var folio = separar[3];
                
                $('#codPago').val(folio);
                $('#totalPago').val(total);
                $('#saldoPago').val(saldo);

                }else{
                    alert(datos);
                }
            }
            });
    }

    function cancel(id){
        if(confirm('Deseas cancelar la orden?')){
        $.ajax({
            type:'POST',
            url:'./cancelarorden.php',
            data:'id='+id,
            success: function(datos){
                if(datos != ""){
                alert('Orden cancelada');
                location.reload();

                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Orden no cancelada');
        }
    }
    function pagoguardar(id){
            var edo = 's'+id;
            var val = $('#'+edo).val();
            if(confirm('Deseas confirmar el pago?')){

            $.ajax({
            type:'POST',
            url:'../php/pagoaplicar.php',
            data:'id='+edo+'&val='+val,
            success: function(datos){
                if(datos != ""){
                alert('Cambio aplicado');
                var separar = datos.split("|");
                var valor = separar[0];
                var cons = separar[1];
                $('s'+cons).val(valor);
                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Pago no aplicado');
        }
        }

        function estadoguardar(id){
            var edo = 's'+id;
            var val = $('#'+edo).val();
            if(confirm('Deseas confirmar el estado?')){

            $.ajax({
            type:'POST',
            url:'./edoguardar.php',
            data:'id='+edo+'&val='+val,
            success: function(datos){
                if(datos != ""){
                alert('Cambio aplicado');
                var separar = datos.split("|");
                var valor = separar[0];
                var cons = separar[1];
                $('s'+cons).val(valor);
                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Pago no aplicado');
        }
        }

function revisado(){
    var checkbox_value = "|";
        var cont = 0;
        var edo = $('#accnor').val();
        $(":checkbox").each(function () {
            var ischecked = $(this).is(":checked");
            if (ischecked) {
                checkbox_value += $(this).val() + "|";
                cont++;
            }
        });

        var url = '../php/aplicar_revisados.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'check='+checkbox_value+'&cont='+cont+'&edo='+edo,
        success: function(datos){
            alert('Cambios aplicados');

        }
    });
}

function check(obj,id){
    if(obj.checked){
        $('.'+id).css("background", "#81BEF7");
    }else{
        $('.'+id).css("background", "#FFFFFF");
    }
}

    function excel(){
        var desde = $('#bd-desde').val();
        var hasta = $('#bd-hasta').val();
        window.open('../reportes/reportefechas.php?desde='+desde+'&hasta='+hasta);
    }

    function excelr(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdp').val();
        var hasta = $('#busqhp').val();
        window.open('rpt_productos.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }
    function excelcat(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdcat').val();
        var hasta = $('#busqhcat').val();
        window.open('rpt_cat.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }

    function excelmold(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdper').val();
        var hasta = $('#busqhper').val();
        window.open('rpt_prod_mold.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }

    function excelv(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdv').val();
        var hasta = $('#busqhv').val();
        var tipo = $('#tipofoliov').val();
        window.open('rpt_ventas.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }
    function excelvpc(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvpc').val();
        var hasta = $('#busqhvpc').val();
        var tipo = $('#tipofoliovpc').val();
        window.open('rpt_ventaspc.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }
    function excelrv(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdrv').val();
        var hasta = $('#busqhrv').val();
        var tipo = $('#tipofoliorv').val();
        window.open('rpt_rventasv.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo);
    }
    function excelvc(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvc').val();
        var hasta = $('#busqhvc').val();
        var tipo = $('#tipofoliovc').val();
        window.open('rpt_ventasc.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }
    $('#pdfmold').on('click', function(){
        var sucbus = $('#sucbus').val();/* 
        var desde = $('#busqd').val(); */
        window.open('rpt_prod_mold_pdf.php?sucbus='+sucbus);
    });
    $('#pdfcris').on('click', function(){
        var sucbus = $('#sucbus').val();/* 
        var desde = $('#busqd').val(); */
        window.open('rpt_prod_cristal_pdf.php?sucbus='+sucbus);
    });
    $('#pdfresp').on('click', function(){
        var sucbus = $('#sucbus').val();/* 
        var desde = $('#busqd').val(); */
        window.open('rpt_prod_resp_pdf.php?sucbus='+sucbus);
    });
    $('#pdfisa').on('click', function(){
        var sucbus = $('#sucbus').val();
        var edoped = $('#edopedisa').val();
        var fechaisa = $('#fechaisa').val();/* 
        var desde = $('#busqd').val(); */
        window.open('rpt_prod_isaias_pdf.php?sucbus='+sucbus+'&edoped='+edoped+'&fecha='+fechaisa);
    });
    function excelvp(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvp').val();
        var hasta = $('#busqhvp').val();
        var tipo = $('#tipofoliovp').val();
        window.open('rpt_ventasp.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }

    function exceltc(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdtc').val();
        var hasta = $('#busqhtc').val();
        var tipo = $('#tipofoliotc').val();
        window.open('rpt_tipocliente.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }

    function excelc(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdc').val();
        var hasta = $('#busqhc').val();
        window.open('rpt_clientes.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }
    

    function excelnr(){
        var suc = $('#anosn').val();
        var desde = $('#semno').val();
        window.open('../reportes/rpt_nor.php?ano='+suc+'&sem='+desde);
    }
    function excelpenp(){
        var suc = $('#anospenp').val();
        var desde = $('#sempenp').val();
        window.open('../reportes/rpt_npag.php?ano='+suc+'&sem='+desde);
    }
    function excelpage(){
        var suc = $('#anospage').val();
        var desde = $('#sempage').val();
        window.open('../reportes/rpt_pagefe.php?ano='+suc+'&sem='+desde);
    }
    function excelpagt(){
        var suc = $('#anospagt').val();
        var desde = $('#sempagt').val();
        window.open('../reportes/rpt_pagtra.php?ano='+suc+'&sem='+desde);
    }
    function excelpag(){
        var suc = $('#anospag').val();
        var desde = $('#sempag').val();
        window.open('../reportes/rpt_pag.php?ano='+suc+'&sem='+desde);
    }
    function exceltodo(){
        window.open('../reportes/rpt_cpc.php');
    }
    function gral(){
            var desde = $('#busqd').val();
            var hasta = $('#busqh').val();
            window.open('../reportes/rpt_bodega.php?desde='+desde+'&hasta='+hasta);
    }
    function editar(id) {
    window.open('../php/editarorden.php?id='+id);

}   
function cancelada(id) {
    window.open('../php/editarorden.php?id='+id);

}   
function cancelar(id) {
    if(confirm('Deseas confirmar la revision?')){
        if(confirm('Esta seguro de aplicar la revision?')){

            $.ajax({
            type:'POST',
            url:'../php/cancelarfact.php',
            data:'dato='+id,
            success: function(datos){
                if(datos==1){
                var clase = "\"btn btn-success\"";
                var text = "\"background-color:#2E9AFE;background-image:none;border-color:#2E9AFE;\""; 
                $("#p"+id).html("<td id=p"+id+"><button onclick=pagar("+id+") class="+clase+" style="+text+">Revisado</button></td>");
                }
            }
            });
        }else{
            alert('Revision no aplicada');
        }
    }else{
            alert('Revision no aplicada');
        }

}

function pagar(id) {
    if(confirm('Deseas cancelar la revision?')){
        if(confirm('Esta seguro de cancelar la revision?')){

            $.ajax({
            type:'POST',
            url:'../php/pagar.php',
            data:'dato='+id,
            success: function(datos){
                var clase = "\"btn btn-danger\"";
                alert('Revision cancelada');
                $("#p"+id).html("<td id=p"+id+"><button onclick=cancelar("+id+") class="+clase+">PENDIENTE</button></td>");
                  
            }
            });
        }else{
            alert('Revision no cancelada');
        }
    }else{
            alert('Revision no cancelada');
        }

}

function correo(dir) {
    var con = prompt("Confirma el correo");
        if(con != null){
            var seg = confirm("Seguro que quieres mandar el correo?");
            if(seg==true){
                $.ajax({
                type:'POST',
                url:'../php/correo.php',
                data:'dato='+dir +'&correo='+con,
                success: function(datos){
                    if(datos==1){
                    alert('Correo enviado');
                    }
                }
                });
            
            }else{
            alert('Error');
        }
        }
        }

            
        
        



    function caja(id) {
        var num = prompt("Escribe el numero de factura");
        if(num != null){
            var seg = confirm("Seguro que quieres asignar esa factura?");
            if(seg == true){
                var reg = 0;
                $.ajax({
                    type:'POST',
                    url:'./ordenfactura.php',
                    data:'dato='+id+'&num='+num+'&reg='+reg,
                    success: function(datos){
                        
                        $("#f"+id).html("<td>"+num+"</td>");
                        //$('#'+id+'').html("<td>Caja"+id+"</td>");
                        alert('Factura asignada');         
                    }
                });
            }else{
                
            }
        }
    }

    function cajar(id) {
        var num = prompt("Escribe el numero de factura regreso");
        if(num != null){
            var seg = confirm("Seguro que quieres asignar esa factura regreso?");
            if(seg == true){
                var reg = 1;
                $.ajax({
                    type:'POST',
                    url:'../php/orden_update.php',
                    data:'dato='+id+'&num='+num+'&reg='+reg,
                    success: function(datos){
                        
                        $("#r"+id).html("<td>"+num+"</td>");
                        //$('#'+id+'').html("<td>Caja"+id+"</td>");
                        alert('Factura regreso asignada');         
                    }
                });
            }else{
                
            }
        }
    }

        </script>
</html>


